Ticket #37544

SSH_MSG_USERAUTH_BANNERの表示

Open Date: 2017-10-02 14:40 Last Update: 2018-03-01 19:30

Reporter:
Owner:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

OpenSSH の sshd_config で Banner を設定した場合、その内容が SSH_MSG_USERAUTH_BANNER メッセージで送られて来るが現状は無視している。これの表示の検討。

表示方法:

  • メッセージボックスでの表示
    • 自動ログインの邪魔にならないか?
  • VTウィンドウに表示
    • メッセージがログに残る。これは望ましい時と望ましくない時が考えられる。
    • wait 等で引っかかる。既存のマクロに影響する?
    • 大抵の場合はBanner内の改行がLFのみとなる。CR+LFへの変換が必要。
      • CR+LFに変換した場合、Bannerデータが長くなる。現状はペイロード内のデータを表示しているが、ここの延長は難しい? 他の方式が必要?
    • 認証ダイアログで隠されるので見づらいかも
  • 通知アイコンでのバルーンチップ表示
    • ログや自動ログインの邪魔にならない
    • どのウィンドウが通知したかの対応がわかりづらい
    • 通知メッセージの長さに上限がある
    • 他の方法に比べて表示されているのが短時間なので、長いメッセージがみづらい?
    • 使えるOSが限られており、WIndows95等の古い環境では使えない
      • 使えないOSはすでにサポートが終了しているので、実際にはほぼ問題にならない?
  • メッセージはUTF-8でエンコードされて送られて来る。VTウィンドウへの表示でかつ受信文字コード設定がUTF-8の時以外は変換が必要。

どの方式も一長一短なので、表示をしないも含めてどの方式を利用するか設定できるようにするのがいいか。

個人的には既存の動作との互換性が高いバルーンチップ表示が好み。

Attachment File List

No attachments

Ticket History (3/6 Histories)

2017-10-02 14:40 Updated by: doda
  • New Ticket "SSH_MSG_USERAUTH_BANNERの表示" created
2017-10-20 17:09 Updated by: doda
  • Owner Update from (None) to doda
  • Details Updated
2017-10-20 17:10 Updated by: doda
  • Resolution Update from None to Accepted
2018-01-16 19:31 Updated by: doda
  • Details Updated
2018-02-21 14:20 Updated by: doda
Comment

r7046, r7047, r7048, r7049 にて対応。

残件: エンコーディング変換

2018-03-01 19:30 Updated by: doda
  • Status Update from Open to Closed
Comment

一区切りついたので、一旦閉じます。

エンコーディング変換は要望が有ったら検討という事で。

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login